Ticket #43571

Included lua: luaD_throw() error: ‘noreturn’ function does return

Open Date: 2022-01-07 04:47 Last Update: 2022-02-20 18:51

Reporter:
Owner:
Type:
Status:
Closed
Component:
MileStone:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
2

Details

Cross-compiling to AmigaOS I get warning about luaD_throw() sometimes returning despite being defined noreturn. Seen on S3_0 (with lua-5.3).

Ticket History (3/5 Histories)

2022-01-07 04:47 Updated by: cazfi
  • New Ticket "Included lua: luaD_throw() error: ‘noreturn’ function does return" created
2022-02-13 12:12 Updated by: cazfi
  • Owner Update from (None) to cazfi
  • Resolution Update from None to Accepted
  • Milestone Update from (None) to 3.0.1 (closed)
Comment

Will push also to S2_6, as that's where I'm trying to get AmigaOS build to work at first.

2022-02-20 18:51 Updated by: cazfi
  • Status Update from Open to Closed
  • Resolution Update from Accepted to Fixed

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login